Subject: Report Tracking Message -- New message waiting

From: New-Message <[email-masked]>
Date: Thu, 12 Jun 2014 08:52:57 -0700

Message 1 - January 16th 2014 - Begin Score Tracking Update

You Have (1) New Message:
----------------------------------
#044166264

We are contacting you on behalf of your scores.
Due to a recent updated your scores make have been affected.

> Go here to learn about these changes:
http://www.foxmonjay.com/inbox/msg/645/verify_info/index.html

------------------------------
Score generation time - 12 seconds

Regards,
Score-Tracking-Systems

This notice was from ATR Tracking-systems \ 1644 Doral Dr \ 
Brookings SD - 57006 cease-updates please go-here:
http://www.foxmonjay.com/645647/ This update was sent-to [email-masked] on
06-11-2014 19:37:25

Recently, I faced the below question in an interview. Initially I thought that the question was wrong, but the interviewer mentioned there is a solution for this. Given this class:

public class BaseHome
{
    public static void Main()
    {
        Console.WriteLine("A");
    }
}
Write the following to the console:

B
A
C
Rules:

Do not change the Main function.
Do not create any additional classes.
How can this be done?

Clever answer. I like this because it indicates that you pay attention to details. The BaseHome console program/class could easily be static (and, at least in my experience, it usually is static, or at least not treated like an instantiable class). This takes advantage of that detail and wouldn't work otherwise.